cascading.flow.planner

## Interface ScopedElement

- All Known Implementing Classes:
    AggregateBy, AverageBy, BaseDistCacheTap, BasePartitionTap, Boundary, Checkpoint, Coerce, CoGroup, CountBy, DecoratorTap, Dfs, Discard, DistCacheTap, Each, Every, FileTap, FirstBy, GlobHfs, GroupBy, HashJoin, Hfs, Lfs, MaxBy, Merge, MinBy, MultiSinkTap, MultiSourceTap, Operator, PartitionTap, PartitionTap, Pipe, Rename, Retain, SinkTap, SourceTap, Splice, StdErrTap, StdInTap, StdOutTap, SubAssembly, SumBy, Tap, TempHfs, Unique

      public interface ScopedElement

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ConfigDef` | `getConfigDef()`
    `ConfigDef` | `getNodeConfigDef()`
    `ConfigDef` | `getStepConfigDef()`
    `boolean` | `hasConfigDef()`
    `boolean` | `hasNodeConfigDef()`
    `boolean` | `hasStepConfigDef()`
    `Scope` | `outgoingScopeFor(java.util.Set<Scope> incomingScopes)` Method outgoingScopeFor returns the Scope this FlowElement hands off to the next FlowElement.
    `Fields` | `resolveIncomingOperationArgumentFields(Scope incomingScope)` Method resolveIncomingOperationArgumentFields returns the Fields outgoing from the previous FlowElement that are consumable by this FlowElement when preparing Operation arguments.
    `Fields` | `resolveIncomingOperationPassThroughFields(Scope incomingScope)` Method resolveIncomingOperationPassThroughFields returns the Fields outgoing from the previous FlowElement that are consumable by this FlowElement when preparing the Pipe outgoing tuple.

- - ### Method Detail

    - #### outgoingScopeFor

          Scope outgoingScopeFor(java.util.Set<Scope> incomingScopes)

      Method outgoingScopeFor returns the Scope this FlowElement hands off to the next FlowElement.
      Parameters:
        `incomingScopes` - of type Set
      Returns:
        Scope

    - #### resolveIncomingOperationArgumentFields

          Fields resolveIncomingOperationArgumentFields(Scope incomingScope)

      Method resolveIncomingOperationArgumentFields returns the Fields outgoing from the previous FlowElement that are consumable by this FlowElement when preparing Operation arguments.
      Parameters:
        `incomingScope` - of type Scope
      Returns:
        Fields

    - #### resolveIncomingOperationPassThroughFields

          Fields resolveIncomingOperationPassThroughFields(Scope incomingScope)

      Method resolveIncomingOperationPassThroughFields returns the Fields outgoing from the previous FlowElement that are consumable by this FlowElement when preparing the Pipe outgoing tuple.
      Parameters:
        `incomingScope` - of type Scope
      Returns:
        Fields

    - #### getConfigDef

          ConfigDef getConfigDef()

    - #### hasConfigDef

          boolean hasConfigDef()

    - #### getNodeConfigDef

          ConfigDef getNodeConfigDef()

    - #### hasNodeConfigDef

          boolean hasNodeConfigDef()

    - #### getStepConfigDef

          ConfigDef getStepConfigDef()

    - #### hasStepConfigDef

          boolean hasStepConfigDef()

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.